apiVersion: apps/v1
kind: StatefulSet
metadata:
  name: mongodb-wfcatalog-statefulset
spec:
  serviceName: mongodb-wfcatalog-service
  template:
    spec:
      terminationGracePeriodSeconds: 10
      containers:
        - envFrom:
            - configMapRef:
                name: mongodb-wfcatalog-configmap
#          image: gricad-registry.univ-grenoble-alpes.fr/osug/resif/mongodb-wfcatalog-k8s/mongodb-wfcatalog
          image: mongo
          name: mongodb-wfcatalog
          ports:
            - containerPort: 27017
          resources:
            requests:
              # MongoDB works best with 2 cores
              cpu: 2
              memory: 500M
            limits:
              cpu: 2
              memory: 500M
          volumeMounts:
            - name: mongo-store
              mountPath: /data/db
            - name: mongo-dumps
              mountPath: /dumps/
      volumes:
        - name: mongo-store
          persistentVolumeClaim:
            claimName: mongodb-wfcatalog-pvc
        - name: mongo-dumps
          persistentVolumeClaim:
            claimName: mongodb-wfcatalog-dumps-pvc
